<?php

namespace App\Modules\CategoryProvider\Application;

use App\Modules\Shared\Domain\Bus\Query\Response;

class CategoryProviderResponses implements Response
{

    private array $data;

    public function __construct(CategoryProviderResponse ...$data)
    {
        $this->data = $data;
    }

    public function data()
    {
        return $this->data;
    }
}
